Bug 44724 - Registering Non-Docker Apps may fail when updated from 4.1 to 4.2
Registering Non-Docker Apps may fail when updated from 4.1 to 4.2
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-0-errata
Assigned To: Dirk Wiesenthal
Felix Botner
:
Depends on:
Blocks: 45328
  Show dependency treegraph
 
Reported: 2017-06-01 11:53 CEST by Dirk Wiesenthal
Modified: 2017-09-06 11:39 CEST (History)
2 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 1: Cosmetic issue or missing function but workaround exists
Who will be affected by this bug?: 3: Will affect average number of installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.034
Enterprise Customer affected?: Yes
School Customer affected?: Yes
ISV affected?:
Waiting Support:
Ticket number: 2017053021000444
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Wiesenthal univentionstaff 2017-06-01 11:53:45 CEST
When ucsschool="4.1 R2 v11" was installed and an update is made,

  univention-app register ucsschool
tries to register the 4.1 App again.

This will eventually lead to an unregistered component.

Workaround here:
  univention-app register 4.2/ucsschool="4.2 v1" --do-it
Comment 1 Dirk Wiesenthal univentionstaff 2017-06-12 17:47:29 CEST
Fixed in
  univention-appcenter 6.0.7-19A~4.2.0.201706121639

You can test it with
  univention-app get $app ucs_version

But the App may not have been registered correctly, yet the packages of $app have to be installed and the component has to be included. The component requisite does not hold for UCS components (they have WithoutComponent=True)

So the easiest way to test:
apt-get install univention-dhcp
univention-app get dhcp-server ucs_version
Comment 2 Felix Botner univentionstaff 2017-06-14 11:36:23 CEST
OK - univention-appcenter get $APP ucs_version
OK - YAML
Comment 3 Janek Walkenhorst univentionstaff 2017-06-15 17:58:23 CEST
<http://errata.software-univention.de/ucs/4.2/38.html>